package com.duowenlvshi.duowenlszp.model.jobintension.entity;

import java.io.Serializable;
import java.util.Date;

public class Jobintension implements Serializable {
    private static final long serialVersionUID = 1L;
    private String jobintensionId;
    /*律师id*/
    private String lawyerId;
    /*期望岗位*/
    private String post;
    /*期望城市*/
    private String city;
    /*期望年薪*/
    private String yearlysalary;
    /*期望业务类型*/
    private String businesstype;
    /*期望专长方向*/
    private String expertise;
    /*工作年限*/
    private String yearsOfPractice;
    /*最近工作岗位*/
    private String latelyPost;
    /*最近工作城市*/
    private String latelyCity;
    /*最近工作年薪*/
    private String latelyYearlySalary;
    /*最近工作业务类型*/
    private String latelyBusinessType;
    /*最近工作专长方向*/
    private String latelyExpertise;
    /*性别*/
    private String sex;

    private Date createdate;

    private Date updatedate;

    private String isvalid;

    private String pushSet;//0 关闭 1 不限 2每天一个 3每周一个

    public static long getSerialVersionUID() {
        return serialVersionUID;
    }

    public String getJobintensionId() {
        return jobintensionId;
    }

    public void setJobintensionId(String jobintensionId) {
        this.jobintensionId = jobintensionId;
    }

    public String getLawyerId() {
        return lawyerId;
    }

    public String getSex() {
        return sex;
    }

    public void setSex(String sex) {
        this.sex = sex;
    }

    public void setLawyerId(String lawyerId) {
        this.lawyerId = lawyerId;
    }

    public String getPost() {
        return post;
    }

    public void setPost(String post) {
        this.post = post;
    }

    public String getCity() {
        return city;
    }

    public void setCity(String city) {
        this.city = city;
    }

    public String getYearlysalary() {
        return yearlysalary;
    }

    public void setYearlysalary(String yearlysalary) {
        this.yearlysalary = yearlysalary;
    }

    public String getBusinesstype() {
        return businesstype;
    }

    public void setBusinesstype(String businesstype) {
        this.businesstype = businesstype;
    }

    public String getExpertise() {
        return expertise;
    }

    public void setExpertise(String expertise) {
        this.expertise = expertise;
    }

    public String getYearsOfPractice() {
        return yearsOfPractice;
    }

    public void setYearsOfPractice(String yearsOfPractice) {
        this.yearsOfPractice = yearsOfPractice;
    }

    public String getLatelyPost() {
        return latelyPost;
    }

    public void setLatelyPost(String latelyPost) {
        this.latelyPost = latelyPost;
    }

    public String getLatelyCity() {
        return latelyCity;
    }

    public void setLatelyCity(String latelyCity) {
        this.latelyCity = latelyCity;
    }

    public String getLatelyYearlySalary() {
        return latelyYearlySalary;
    }

    public void setLatelyYearlySalary(String latelyYearlySalary) {
        this.latelyYearlySalary = latelyYearlySalary;
    }

    public String getLatelyBusinessType() {
        return latelyBusinessType;
    }

    public void setLatelyBusinessType(String latelyBusinessType) {
        this.latelyBusinessType = latelyBusinessType;
    }

    public String getLatelyExpertise() {
        return latelyExpertise;
    }

    public void setLatelyExpertise(String latelyExpertise) {
        this.latelyExpertise = latelyExpertise;
    }

    public Date getCreatedate() {
        return createdate;
    }

    public void setCreatedate(Date createdate) {
        this.createdate = createdate;
    }

    public Date getUpdatedate() {
        return updatedate;
    }

    public void setUpdatedate(Date updatedate) {
        this.updatedate = updatedate;
    }

    public String getIsvalid() {
        return isvalid;
    }

    public void setIsvalid(String isvalid) {
        this.isvalid = isvalid;
    }

    public String getPushSet() {
        return pushSet;
    }

    public void setPushSet(String pushSet) {
        this.pushSet = pushSet;
    }
}